## org.eclipse.emf.ecore.change
Interface ChangePackage.Literals

Enclosing interface:
  ChangePackage

    public static interface ChangePackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `CHANGE_DESCRIPTION` The meta object literal for the '`Description`' class
`static EReference` `CHANGE_DESCRIPTION__OBJECT_CHANGES` The meta object literal for the 'Object Changes' map feature
`static EReference` `CHANGE_DESCRIPTION__OBJECTS_TO_ATTACH` The meta object literal for the 'Objects To Attach' containment reference list feature
`static EReference` `CHANGE_DESCRIPTION__OBJECTS_TO_DETACH` The meta object literal for the 'Objects To Detach' reference list feature
`static EReference` `CHANGE_DESCRIPTION__RESOURCE_CHANGES` The meta object literal for the 'Resource Changes' containment reference list feature
`static EEnum` `CHANGE_KIND` The meta object literal for the '`Kind`' enum
`static EClass` `EOBJECT_TO_CHANGES_MAP_ENTRY` The meta object literal for the '`EObject To Changes Map Entry`' class
`static EReference` `EOBJECT_TO_CHANGES_MAP_ENTRY__KEY` The meta object literal for the 'Key' reference feature
`static EReference` `EOBJECT_TO_CHANGES_MAP_ENTRY__VALUE` The meta object literal for the 'Value' containment reference list feature
`static EClass` `FEATURE_CHANGE` The meta object literal for the '`Feature Change`' class
`static EAttribute` `FEATURE_CHANGE__DATA_VALUE` The meta object literal for the 'Data Value' attribute feature
`static EReference` `FEATURE_CHANGE__FEATURE` The meta object literal for the 'Feature' reference feature
`static EAttribute` `FEATURE_CHANGE__FEATURE_NAME` The meta object literal for the 'Feature Name' attribute feature
`static EReference` `FEATURE_CHANGE__LIST_CHANGES` The meta object literal for the 'List Changes' containment reference list feature
`static EReference` `FEATURE_CHANGE__REFERENCE_VALUE` The meta object literal for the 'Reference Value' reference feature
`static EAttribute` `FEATURE_CHANGE__SET` The meta object literal for the 'Set' attribute feature
`static EAttribute` `FEATURE_CHANGE__VALUE` The meta object literal for the 'Value' attribute feature
`static EClass` `FEATURE_MAP_ENTRY` The meta object literal for the '`Feature Map Entry`' class
`static EAttribute` `FEATURE_MAP_ENTRY__DATA_VALUE` The meta object literal for the 'Data Value' attribute feature
`static EReference` `FEATURE_MAP_ENTRY__FEATURE` The meta object literal for the 'Feature' reference feature
`static EAttribute` `FEATURE_MAP_ENTRY__FEATURE_NAME` The meta object literal for the 'Feature Name' attribute feature
`static EReference` `FEATURE_MAP_ENTRY__REFERENCE_VALUE` The meta object literal for the 'Reference Value' reference feature
`static EAttribute` `FEATURE_MAP_ENTRY__VALUE` The meta object literal for the 'Value' attribute feature
`static EClass` `LIST_CHANGE` The meta object literal for the '`List Change`' class
`static EAttribute` `LIST_CHANGE__DATA_VALUES` The meta object literal for the 'Data Values' attribute list feature
`static EReference` `LIST_CHANGE__FEATURE` The meta object literal for the 'Feature' reference feature
`static EReference` `LIST_CHANGE__FEATURE_MAP_ENTRY_VALUES` The meta object literal for the 'Feature Map Entry Values' containment reference list feature
`static EAttribute` `LIST_CHANGE__INDEX` The meta object literal for the 'Index' attribute feature
`static EAttribute` `LIST_CHANGE__KIND` The meta object literal for the 'Kind' attribute feature
`static EAttribute` `LIST_CHANGE__MOVE_TO_INDEX` The meta object literal for the 'Move To Index' attribute feature
`static EReference` `LIST_CHANGE__REFERENCE_VALUES` The meta object literal for the 'Reference Values' reference list feature
`static EAttribute` `LIST_CHANGE__VALUES` The meta object literal for the 'Values' attribute list feature
`static EClass` `RESOURCE_CHANGE` The meta object literal for the '`Resource Change`' class
`static EReference` `RESOURCE_CHANGE__LIST_CHANGES` The meta object literal for the 'List Changes' containment reference list feature
`static EAttribute` `RESOURCE_CHANGE__RESOURCE` The meta object literal for the 'Resource' attribute feature
`static EAttribute` `RESOURCE_CHANGE__RESOURCE_URI` The meta object literal for the 'Resource URI' attribute feature
`static EAttribute` `RESOURCE_CHANGE__VALUE` The meta object literal for the 'Value' attribute feature

Field Detail

### CHANGE_DESCRIPTION

    static final EClass CHANGE_DESCRIPTION

  The meta object literal for the '`Description`' class.

  See Also:
    `ChangeDescriptionImpl`, `ChangePackageImpl.getChangeDescription()`

### CHANGE_DESCRIPTION__OBJECT_CHANGES

    static final EReference CHANGE_DESCRIPTION__OBJECT_CHANGES

  The meta object literal for the 'Object Changes' map feature.

### CHANGE_DESCRIPTION__OBJECTS_TO_DETACH

    static final EReference CHANGE_DESCRIPTION__OBJECTS_TO_DETACH

  The meta object literal for the 'Objects To Detach' reference list feature.

### CHANGE_DESCRIPTION__OBJECTS_TO_ATTACH

    static final EReference CHANGE_DESCRIPTION__OBJECTS_TO_ATTACH

  The meta object literal for the 'Objects To Attach' containment reference list feature.

### CHANGE_DESCRIPTION__RESOURCE_CHANGES

    static final EReference CHANGE_DESCRIPTION__RESOURCE_CHANGES

  The meta object literal for the 'Resource Changes' containment reference list feature.

### EOBJECT_TO_CHANGES_MAP_ENTRY

    static final EClass EOBJECT_TO_CHANGES_MAP_ENTRY

  The meta object literal for the '`EObject To Changes Map Entry`' class.

  See Also:
    `EObjectToChangesMapEntryImpl`, `ChangePackageImpl.getEObjectToChangesMapEntry()`

### EOBJECT_TO_CHANGES_MAP_ENTRY__KEY

    static final EReference EOBJECT_TO_CHANGES_MAP_ENTRY__KEY

  The meta object literal for the 'Key' reference feature.

### EOBJECT_TO_CHANGES_MAP_ENTRY__VALUE

    static final EReference EOBJECT_TO_CHANGES_MAP_ENTRY__VALUE

  The meta object literal for the 'Value' containment reference list feature.

### FEATURE_CHANGE

    static final EClass FEATURE_CHANGE

  The meta object literal for the '`Feature Change`' class.

  See Also:
    `FeatureChangeImpl`, `ChangePackageImpl.getFeatureChange()`

### FEATURE_CHANGE__FEATURE_NAME

    static final EAttribute FEATURE_CHANGE__FEATURE_NAME

  The meta object literal for the 'Feature Name' attribute feature.

### FEATURE_CHANGE__DATA_VALUE

    static final EAttribute FEATURE_CHANGE__DATA_VALUE

  The meta object literal for the 'Data Value' attribute feature.

### FEATURE_CHANGE__SET

    static final EAttribute FEATURE_CHANGE__SET

  The meta object literal for the 'Set' attribute feature.

### FEATURE_CHANGE__VALUE

    static final EAttribute FEATURE_CHANGE__VALUE

  The meta object literal for the 'Value' attribute feature.

### FEATURE_CHANGE__FEATURE

    static final EReference FEATURE_CHANGE__FEATURE

  The meta object literal for the 'Feature' reference feature.

### FEATURE_CHANGE__REFERENCE_VALUE

    static final EReference FEATURE_CHANGE__REFERENCE_VALUE

  The meta object literal for the 'Reference Value' reference feature.

### FEATURE_CHANGE__LIST_CHANGES

    static final EReference FEATURE_CHANGE__LIST_CHANGES

  The meta object literal for the 'List Changes' containment reference list feature.

### LIST_CHANGE

    static final EClass LIST_CHANGE

  The meta object literal for the '`List Change`' class.

  See Also:
    `ListChangeImpl`, `ChangePackageImpl.getListChange()`

### LIST_CHANGE__KIND

    static final EAttribute LIST_CHANGE__KIND

  The meta object literal for the 'Kind' attribute feature.

### LIST_CHANGE__DATA_VALUES

    static final EAttribute LIST_CHANGE__DATA_VALUES

  The meta object literal for the 'Data Values' attribute list feature.

### LIST_CHANGE__INDEX

    static final EAttribute LIST_CHANGE__INDEX

  The meta object literal for the 'Index' attribute feature.

### LIST_CHANGE__MOVE_TO_INDEX

    static final EAttribute LIST_CHANGE__MOVE_TO_INDEX

  The meta object literal for the 'Move To Index' attribute feature.

### LIST_CHANGE__VALUES

    static final EAttribute LIST_CHANGE__VALUES

  The meta object literal for the 'Values' attribute list feature.

### LIST_CHANGE__REFERENCE_VALUES

    static final EReference LIST_CHANGE__REFERENCE_VALUES

  The meta object literal for the 'Reference Values' reference list feature.

### LIST_CHANGE__FEATURE

    static final EReference LIST_CHANGE__FEATURE

  The meta object literal for the 'Feature' reference feature.

### LIST_CHANGE__FEATURE_MAP_ENTRY_VALUES

    static final EReference LIST_CHANGE__FEATURE_MAP_ENTRY_VALUES

  The meta object literal for the 'Feature Map Entry Values' containment reference list feature.

### RESOURCE_CHANGE

    static final EClass RESOURCE_CHANGE

  The meta object literal for the '`Resource Change`' class.

  See Also:
    `ResourceChangeImpl`, `ChangePackageImpl.getResourceChange()`

### RESOURCE_CHANGE__RESOURCE_URI

    static final EAttribute RESOURCE_CHANGE__RESOURCE_URI

  The meta object literal for the 'Resource URI' attribute feature.

### RESOURCE_CHANGE__RESOURCE

    static final EAttribute RESOURCE_CHANGE__RESOURCE

  The meta object literal for the 'Resource' attribute feature.

### RESOURCE_CHANGE__VALUE

    static final EAttribute RESOURCE_CHANGE__VALUE

  The meta object literal for the 'Value' attribute feature.

### RESOURCE_CHANGE__LIST_CHANGES

    static final EReference RESOURCE_CHANGE__LIST_CHANGES

  The meta object literal for the 'List Changes' containment reference list feature.

### FEATURE_MAP_ENTRY

    static final EClass FEATURE_MAP_ENTRY

  The meta object literal for the '`Feature Map Entry`' class.

  See Also:
    `FeatureMapEntryImpl`, `ChangePackageImpl.getFeatureMapEntry()`

### FEATURE_MAP_ENTRY__FEATURE_NAME

    static final EAttribute FEATURE_MAP_ENTRY__FEATURE_NAME

  The meta object literal for the 'Feature Name' attribute feature.

### FEATURE_MAP_ENTRY__DATA_VALUE

    static final EAttribute FEATURE_MAP_ENTRY__DATA_VALUE

  The meta object literal for the 'Data Value' attribute feature.

### FEATURE_MAP_ENTRY__VALUE

    static final EAttribute FEATURE_MAP_ENTRY__VALUE

  The meta object literal for the 'Value' attribute feature.

### FEATURE_MAP_ENTRY__FEATURE

    static final EReference FEATURE_MAP_ENTRY__FEATURE

  The meta object literal for the 'Feature' reference feature.

### FEATURE_MAP_ENTRY__REFERENCE_VALUE

    static final EReference FEATURE_MAP_ENTRY__REFERENCE_VALUE

  The meta object literal for the 'Reference Value' reference feature.

### CHANGE_KIND

    static final EEnum CHANGE_KIND

  The meta object literal for the '`Kind`' enum.

  See Also:
    `ChangeKind`, `ChangePackageImpl.getChangeKind()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.